# filter out bogus auto-requires
%global __requires_exclude /usr/bin/jed-script

%define sversion 0.99-19

Summary:	A fast, compact editor based on the slang screen library
Name:		jed
Version:	0.99.19
Release:	%mkrel 24
License:	GPLv2+
Group:		Editors
URL:		https://www.jedsoft.org/jed/
Source0:	ftp://space.mit.edu/pub/davis/jed/v0.99/jed-%{sversion}.tar.bz2
Patch0:		jed-0.99.19-fed-multilib-newauto.patch
Patch1:		jed-0.99.19-fix-bug-in-recurse.patch
Patch2:		jed-0.99.19-mga-parallel-make-dep.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xt)
BuildRequires:	gpm-devel
BuildRequires:	pkgconfig(slang)
Requires:	jed-common = %{version}
Requires:	slang-slsh

%description
Jed is a fast, compact editor based on the slang screen library.  Jed
features include emulation of the Emacs, EDT, WordStar and Brief editors;
support for extensive customization with slang macros, colors,
keybindings, etc.; and a variety of programming modes with syntax
highlighting.

You should install jed if you've used it before and you like it, or if you
haven't used any text editors before and you're still deciding what you'd
like to use.  You'll also need to have slang installed.

%package common
Summary:	Files needed by any Jed editor
Group:		Editors
%description common
The jed-common package contains files (such as .sl files) that are
needed by any jed binary in order to run.

%package xjed
Requires:	jed-common = %{version}
Summary:	The X Window System version of the Jed text editor
Group:		Editors

%description xjed
Xjed is a version of the Jed text editor that will work with the X Window
System.
  
You should install xjed if you like Jed and you'd like to use it with X.
You'll also need to have the X Window System installed.

%package -n rgrep
Summary:	A grep utility which can recursively descend through directories
Group:		Text tools

%description -n rgrep
The rgrep utility can recursively descend through directories as
it greps for the specified pattern.  Note that this ability does
take a toll on rgrep's performance, which is somewhat slow.  Rgrep
will also highlight the matching expression.

Install the rgrep package if you need a recursive grep which can
highlight the matching expression.

%prep
%setup -q -n jed-%{sversion}
%ifarch x86_64 aarch64
%patch -P 0 -p1
%endif
%patch -P 1 -p1
%patch -P 2 -p1

cd autoconf
autoconf
mv configure ..
cd ..

%build
sed -i 's|cd ..;pwd|pwd|g' configure
export JED_ROOT="%{_datadir}/jed"
%configure
%make_build clean
%make_build all
%make_build rgrep
%make_build xjed

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_datadir}/jed
mkdir -p %{buildroot}%{_mandir}/man1

cp -r lib %{buildroot}%{_datadir}/jed
cp -r info/jed* %{buildroot}%{_infodir}

cd src/objs
install -m 0755 jed %{buildroot}%{_bindir}
install -m 0755 xjed %{buildroot}%{_bindir}
install -m 0755 rgrep %{buildroot}%{_bindir}

JED_ROOT=%{buildroot}%{_datadir}/jed %{buildroot}%{_bindir}/jed -batch -n -l preparse.sl
# wait till jed finishes
while ps -C jed > /dev/null; do sleep 1; done 

cd ../../doc/manual
install -m 644 jed.1 %{buildroot}%{_mandir}/man1
install -m 644 rgrep.1 %{buildroot}%{_mandir}/man1

%files
%{_bindir}/jed

%files common
%doc COPYRIGHT README changes.txt
%doc doc/txt/*
%{_infodir}/*
%{_mandir}/man1/jed*
%{_datadir}/jed

%files xjed
%{_bindir}/xjed

%files -n rgrep
%doc COPYRIGHT README changes.txt
%{_bindir}/rgrep
%{_mandir}/man1/rgrep.1*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.99.19-24.mga10
+ Revision: 2231926
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.99.19-23.mga10
+ Revision: 2127684
- Rebuild for patchN deprecation

* Wed Mar 30 2022 umeabot <umeabot> 0.99.19-22.mga9
+ Revision: 1834730
- Mageia 9 Mass Rebuild

* Sun Jan 10 2021 luigiwalser <luigiwalser> 0.99.19-21.mga8
+ Revision: 1670593
- rebuild for missing package

* Thu Aug 20 2020 ovitters <ovitters> 0.99.19-20.mga8
+ Revision: 1616564
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sun Jun 28 2020 joequant <joequant> 0.99.19-19.mga8
+ Revision: 1599896
- bump
- remove arm workaround

* Fri Feb 14 2020 umeabot <umeabot> 0.99.19-18.mga8
+ Revision: 1519800
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 20 2018 daviddavid <daviddavid> 0.99.19-17.mga7
+ Revision: 1322854
- filter out bogus auto-requires

* Sun Sep 23 2018 umeabot <umeabot> 0.99.19-16.mga7
+ Revision: 1298368
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 0.99.19-15.mga7
+ Revision: 1235441
- really fix build on aarch64

* Fri Jun 08 2018 wally <wally> 0.99.19-14.mga7
+ Revision: 1235434
- fix build on aarch64

* Mon Feb 15 2016 umeabot <umeabot> 0.99.19-13.mga6
+ Revision: 960721
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 daviddavid <daviddavid> 0.99.19-12.mga6
+ Revision: 895868
- do not strip binaries to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.99.19-11.mga5
+ Revision: 748840
- Second Mageia 5 Mass Rebuild
+ danf <danf>
- Added parallel-make-dep.patch to fix sporadic build failures due to a missing
  make prerequisite

* Fri Sep 26 2014 tv <tv> 0.99.19-10.mga5
+ Revision: 725096
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.99.19-9.mga5
+ Revision: 680766
- Mageia 5 Mass Rebuild

* Sun Jul 20 2014 luigiwalser <luigiwalser> 0.99.19-8.mga5
+ Revision: 654770
- fix rgrep recursive search, thanks to Gilles Allard (mga#13758)

* Fri Oct 18 2013 umeabot <umeabot> 0.99.19-7.mga4
+ Revision: 506360
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.99.19-6.mga3
+ Revision: 355304
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 22 2011 lebedov <lebedov> 0.99.19-5.mga2
+ Revision: 146779
- imported package jed

